# do not edit -- automatically generated by arch changelog
# arch-tag: automatic-ChangeLog--devel@balabit.hu--other-1/syslog-ng--mainline--2.0
#

2007-04-06 09:59:15 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-149

    Summary:
      use stat instead of seek to determine file size
    Revision:
      syslog-ng--mainline--2.0--patch-149

    	* src/logreader.c (log_reader_fd_check): remove lseek based file
    	size determination and use lseek instead, it is not glibc that is
    	buggy, and although gdb reports invalid contents of the stat
    	results, the program sees them correctly


    modified files:
     ChangeLog src/logreader.c


2007-04-06 09:08:49 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-148

    Summary:
      added support for logrotation in file sources
    Revision:
      syslog-ng--mainline--2.0--patch-148

    2007-04-06  Balazs Scheidler <bazsi@balabit.hu>

    	* src/affile.c (affile_sd_open_file): new function, contains the
    	file open code for the source driver,
    	(affile_sd_notify): new function, registered as the notification
    	handler for an affile source, for NC_FILE_MOVED notifications
    	construct a new the log reader and drop the old one,
    	(affile_sd_init): use affile_sd_open_file,
    	(affile_sd_new): register notification handler, tell our LogReader
    	the filename that we are following


    modified files:
     ChangeLog src/affile.c src/afsocket.c src/logpipe.h
     src/logreader.c src/logreader.h src/messages.h


2007-04-05 11:27:02 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-147

    Summary:
      fixed expansion of utf-8 characters in templates
    Revision:
      syslog-ng--mainline--2.0--patch-147


    	* src/macros.c (result_append): use guchar as the type of the
    	argument instead of gchar

    	* tests/unit/test_templates.c: use utf8 sequences in the message
    	string to ensure that syslog-ng handles them properly

    modified files:
     ChangeLog src/macros.c tests/unit/test_template.c


2007-04-04 14:44:29 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-146

    Summary:
      fixed numeric localport/destport specification
    Revision:
      syslog-ng--mainline--2.0--patch-146


    	* src/afinet.c (afinet_set_port, afinet_sd_set_localport,
    	afinet_dd_set_localport, afinet_dd_set_destport): removed port
    	argument, always use 'service' and check if it's numeric

    	* src/cfg-grammar.y: follow afinet changes


    modified files:
     ChangeLog src/afinet.c src/afinet.h src/cfg-grammar.y


2007-04-02 06:53:54 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-145

    Summary:
      grammar fixes for localport/port/destport parsing options
    Revision:
      syslog-ng--mainline--2.0--patch-145

    	* src/cfg-grammar.y: fixed grammar to parse port related options correctly


    modified files:
     ChangeLog src/cfg-grammar.y


2007-03-26 12:28:53 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-144

    Summary:
      preparations for 2.0.3 release
    Revision:
      syslog-ng--mainline--2.0--patch-144




    modified files:
     ChangeLog NEWS VERSION


2007-03-26 12:28:31 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-143

    Summary:
      increased the minimum value for log_fifo_size to 1000
    Revision:
      syslog-ng--mainline--2.0--patch-143




    modified files:
     ChangeLog src/cfg.c src/logsource.h src/logwriter.c


2007-03-21 16:36:01 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-142

    Summary:
      fixed dns_cache_hosts() typo in documentation
    Revision:
      syslog-ng--mainline--2.0--patch-142




    modified files:
     ChangeLog doc/reference/syslog-ng.xml


2007-03-19 17:41:46 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-141

    Summary:
      some more message clarification
    Revision:
      syslog-ng--mainline--2.0--patch-141




    modified files:
     ChangeLog src/main.c


2007-03-19 17:35:37 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-140

    Summary:
      clarified internal message severities
    Revision:
      syslog-ng--mainline--2.0--patch-140

    	* src/*.c: clarified the severity value of some log messages
    	generated by syslog-ng


    modified files:
     ChangeLog src/affile.c src/cfg-lex.l src/macros.c
     src/messages.h


2007-03-05 11:33:09 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-139

    Summary:
      clarified message priorities
    Revision:
      syslog-ng--mainline--2.0--patch-139




    modified files:
     ChangeLog src/affile.c src/afinet.c src/cfg.c src/logwriter.c
     src/stats.c


2007-03-04 11:03:22 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-138

    Summary:
      added support for remembering input file positions
    Revision:
      syslog-ng--mainline--2.0--patch-138

    	* configure.in: added LARGEFILE_SOURCE & FILE_OFFSET_BITS to
    	CPPFLAGS, export localstatedir to syslog-ng,

    	* src/affile.c (affile_sd_format_persist_name): new function,
    	formats the persistent name associated with the file source,
    	(affile_sd_init): check if the current file position is available
    	and set it if it is,
    	(affile_sd_deinit): save the current file position,

    	* src/afsocket.c (afsocket_sd_kill_connection_list): new function,
    	frees a connection list,
     	(afsocket_sd_deinit): fixed a possible SIGSEGV, a GList was freed as
    	an AFSocketSourceDriver, I wonder how this got unnoticed so far,

    	* src/cfg.c (persist_config_add_entry): new function,
    	(persist_config_add): use the new add_entry function,
    	(persist_config_add_survivor): new function, adds a surviving entry,
    	(PersistentConfig): added saving/loading persistent config entries,

    	* src/logreader.c (log_reader_watch_new): don't seek the file to the
    	end-of-file now as proper file position is recovered,
    	(log_reader_set_pos, log_reader_get_pos): new functions

    	* src/main.c (main): added --ignore-persistent option, use a
    	persistent configuration object around stop/start to save/restore
    	file position information


    modified files:
     ChangeLog configure.in src/affile.c src/afsocket.c src/cfg.c
     src/cfg.h src/logreader.c src/logreader.h src/main.c
     src/syslog-ng.h


2007-03-03 14:01:24 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-137

    Summary:
      tightened LogMessage struct, added support for more than 9 match groups
    Revision:
      syslog-ng--mainline--2.0--patch-137

    	* src/logmsg.h (LogMessage): structure tightened a bit, avoid
    	double-referencing various message-parts by inlining GString
    	declarations, instead of allocating them at runtime to be more cache
    	friendly, use 8 bit values for ref_cnt, flags, pri; re_matches is
    	allocated at runtime to allow more matches

    	* src/filter.c (filter_re_eval): dynamically allocate the
    	msg->re_matches array, follow LogMessage changes

    	* src/templates.c (log_template_compile): support ${} syntax for
    	regex match replacements to allow more than 9 matches

    	* src/afuser.c, src/logreader.c, src/logwriter.c, src/sgroup.c,
    	src/test_msgparse.c, src/test_template.c: follow LogMessage
    	changes

    modified files:
     ChangeLog src/afuser.c src/filter.c src/logmsg.c src/logmsg.h
     src/logreader.c src/logwriter.c src/macros.c src/sgroup.c
     src/templates.c tests/unit/test_msgparse.c
     tests/unit/test_template.c


2007-02-28 09:21:01 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-136

    Summary:
      clarified SIGTERM message
    Revision:
      syslog-ng--mainline--2.0--patch-136

    	* src/main.c (main_loop_run): clarified message about the reception
    	of a SIGTERM or SIGINT signal


    modified files:
     ChangeLog src/main.c


2007-02-28 09:19:28 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-135

    Summary:
      updated copyright strings
    Revision:
      syslog-ng--mainline--2.0--patch-135




    modified files:
     ChangeLog src/affile.c src/affile.h src/afinet.c src/afinet.h
     src/afinter.c src/afinter.h src/afprog.c src/afprog.h
     src/afsocket.c src/afsocket.h src/afstreams.c src/afstreams.h
     src/afunix.c src/afunix.h src/afuser.c src/afuser.h
     src/center.c src/center.h src/cfg-lex.l src/cfg.c src/cfg.h
     src/children.c src/children.h src/dgroup.c src/dgroup.h
     src/dnscache.c src/dnscache.h src/driver.c src/driver.h
     src/fdread.c src/fdread.h src/fdwrite.c src/fdwrite.h
     src/filter.c src/filter.h src/gsockaddr.c src/gsockaddr.h
     src/logmsg.c src/logmsg.h src/logpipe.c src/logpipe.h
     src/logreader.c src/logreader.h src/logsource.c
     src/logsource.h src/logwriter.c src/logwriter.h src/macros.c
     src/macros.h src/main.c src/memtrace.c src/memtrace.h
     src/messages.c src/messages.h src/misc.c src/misc.h
     src/sgroup.c src/sgroup.h src/stats.c src/stats.h
     src/syslog-names.c src/syslog-names.h src/syslog-ng.h
     src/templates.c src/templates.h src/utils.c src/utils.h


2007-02-28 09:19:00 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-134

    Summary:
      implemented TCP wrapper support
    Revision:
      syslog-ng--mainline--2.0--patch-134


    	* configure.in: added tests for libwrap

    	* src/afsocket.c: added support for libwrap access control



    modified files:
     ChangeLog configure.in src/afsocket.c


2007-02-12 09:09:08 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-133

    Summary:
      added endutent() to usertty destination
    Revision:
      syslog-ng--mainline--2.0--patch-133

    	* src/afuser.c (afuser_dd_queue): added missing endutent call()



    modified files:
     ChangeLog src/afuser.c


2007-02-12 09:02:37 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-132

    Summary:
      removed 1024 byte limitation on internal messages
    Revision:
      syslog-ng--mainline--2.0--patch-132

    	* src/messages.c (msg_send_internal_message): use a dynamically
    	allocated buffer instead of a buffer with a fixed size on the stack


    modified files:
     ChangeLog src/messages.c


2007-02-12 09:01:43 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-131

    Summary:
      added testcases for 2007 DST changes
    Revision:
      syslog-ng--mainline--2.0--patch-131

    	* tests/unit/test_zone.c (main): added testcases for 2007 DST
    	changes in the USA


    modified files:
     ChangeLog tests/unit/test_zone.c


2007-02-03 17:24:40 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-130

    Summary:
      added dist.conf to dist
    Revision:
      syslog-ng--mainline--2.0--patch-130




    modified files:
     ChangeLog Makefile.am configure.in


2007-02-03 17:21:21 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-129

    Summary:
      further portability fixes
    Revision:
      syslog-ng--mainline--2.0--patch-129

    	* configure.in: added check for -lresolv



    modified files:
     ChangeLog configure.in


2007-02-03 17:16:17 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-128

    Summary:
      portability fixes for platforms without IPv6 support
    Revision:
      syslog-ng--mainline--2.0--patch-128

    	* configure.in: added checks for struct sockaddr_storage

    	* src/cfg-grammar.y: make sure it compiles even if AF_INET6 is not
    	defined

    	* src/cfg-lex.l: don't define udp6/tcp6 keywords if ENABLE_IPV6 is
    	not defined

    	* src/dnscache.c: added conditional blocks for IPv6 related code

    	* src/misc.c (resolve_hostname): -"-

    	* src/fdread.c (fd_do_read): use plain "struct sockaddr" if struct
    	sockaddr_storage is not defined



    modified files:
     ChangeLog configure.in src/cfg-grammar.y src/cfg-lex.l
     src/dnscache.c src/fdread.c src/misc.c


2007-02-03 16:39:08 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-127

    Summary:
      implemented spoof-source support for both ipv4/ipv6
    Revision:
      syslog-ng--mainline--2.0--patch-127

    	* configure.in: added --with-libnet and --enable-spoof-source
    	options

    	* src/afinet.c (afinet_dd_set_spoof_source): new function, called
    	from the parser to enable spoof-source,
    	(afinet_dd_init): new function,
    	(afinet_dd_construct_ipv4_packet): -"-,
    	(afinet_dd_construct_ipv6_packet): -"-,
    	(afinet_dd_queue): -"-,
    	(affile_dd_new): register new init/queue methods,

    	* src/sgroup.h, src/dgroup.h: renamed ref/unref functions for
    	consistency

    	* src/cfg-lex.l, src/cfg-grammar.y: added spoof-source option

    	* src/logwriter.c (log_writer_format_log): removed static as it is
    	directly used by spoof-source to format messages


    modified files:
     ChangeLog README configure.in src/afinet.c src/afinet.h
     src/afsocket.h src/center.c src/cfg-grammar.y src/cfg-lex.l
     src/dgroup.h src/logwriter.c src/logwriter.h src/sgroup.h


2007-01-30 13:08:22 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-126

    Summary:
      added netinet/in.h to afinet.c
    Revision:
      syslog-ng--mainline--2.0--patch-126

    	* src/afinet.c: added inclusion of <netinet/in.h> as it caused
    	problems on HP-UX


    modified files:
     ChangeLog src/afinet.c


2007-01-29 08:56:55 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-125

    Summary:
      added check for getutent in configure
    Revision:
      syslog-ng--mainline--2.0--patch-125

    	* configure.in: added getutent() check


    modified files:
     ChangeLog configure.in src/afuser.c


2007-01-29 08:49:55 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-124

    Summary:
      integrated AIX packaging fixes from dev-folti
    Revision:
      syslog-ng--mainline--2.0--patch-124



    Patches applied:

     * devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-2
       Fixed: AIX5.2 packaging support. (fixes: #10375)

     * devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-3
       Fixes: added libevtlog-dev build dependency. (fixes: #10375)

     * devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-5
       Fixed: RPM packaging for 2.0. (fixes: #nobug)

     * devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-7
       Refresh: Fixed: AIX5.2 packaging support. (fixes: #10375)

     * devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-8
       Refresh: Fixes: added libevtlog-dev build dependency. (fixes: #10375)

     * devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-9
       Refresh: Fixed: RPM packaging for 2.0. (fixes: #nobug)

     * devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-10
       Fixed: removed duplicated install commanands from spec file. (fixes #nobug)


    new files:
     contrib/aix-packaging/.arch-ids/=id
     contrib/aix-packaging/.arch-ids/syslog-ng.conf.id
     contrib/aix-packaging/syslog-ng.conf

    modified files:
     ChangeLog contrib/Makefile.am syslog-ng.spec.bb.in

    new directories:
     contrib/aix-packaging contrib/aix-packaging/.arch-ids

    new patches:
     devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-2
     devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-3
     devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-5
     devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-7
     devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-8
     devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-9
     devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-10


2007-01-29 08:48:19 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-123

    Summary:
      fixed possible crash in usertty() driver
    Revision:
      syslog-ng--mainline--2.0--patch-123

    	* src/afuser.c (afuser_dd_queue): don't ack the message if flow
    	control was off (fixes possible crash reported by Bryan Henderson)

    modified files:
     ChangeLog src/afuser.c


2007-01-26 09:23:49 GMT	Pal Tamas <folti@balabit.hu>	patch-122

    Summary:
      Synced to test
    Revision:
      syslog-ng--mainline--2.0--patch-122


    modified files:
     ChangeLog


2007-01-26 07:59:36 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-121

    Summary:
      missed version change
    Revision:
      syslog-ng--mainline--2.0--patch-121




    modified files:
     ChangeLog VERSION


2007-01-26 07:58:21 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-120

    Summary:
      preparations for 2.0.2
    Revision:
      syslog-ng--mainline--2.0--patch-120




    modified files:
     ChangeLog NEWS


2007-01-23 13:44:15 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-119

    Summary:
      fixed handling utmp entries where a full path is included as tty name
    Revision:
      syslog-ng--mainline--2.0--patch-119

    	* src/afuser.c (afuser_dd_queue): check if ut->ut_line starts with a
    	'/' and use it directly if it does, otherwise prepend '/dev/' as before.



    modified files:
     ChangeLog src/afuser.c


2007-01-19 21:00:06 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-118

    Summary:
      fixed trailing \0 and \n characters in messages received on dgram transport
    Revision:
      syslog-ng--mainline--2.0--patch-118

    	* src/logmsg.c (log_msg_parse): remove trailing \n and \0 characters
    	which are often added to the end of incoming datagrams



    modified files:
     ChangeLog src/logmsg.c


2007-01-07 16:51:40 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-117

    Summary:
      fixed parsing group information when not enclosed in quotes
    Revision:
      syslog-ng--mainline--2.0--patch-117

    	* src/cfg-grammar.y (string_or_number): use non-terminal string
    	instead of STRING to support non-quoted group specification


    modified files:
     ChangeLog src/cfg-grammar.y


2007-01-07 16:46:34 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-116

    Summary:
      fixed IPv6 related portability problem in DNS cache
    Revision:
      syslog-ng--mainline--2.0--patch-116

    	* src/dnscache.c (dns_cache_key_hash): don't use the unportable
    	s6_addr32 member in struct in6_addr, use an explicit cast instead


    modified files:
     ChangeLog src/dnscache.c


2006-12-22 10:07:57 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-115

    Summary:
      added tcp-keep-alive keyword for compatibility
    Revision:
      syslog-ng--mainline--2.0--patch-115




    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/cfg-lex.l


2006-12-22 10:06:01 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-114

    Summary:
      updated documentation with so_keepalive option
    Revision:
      syslog-ng--mainline--2.0--patch-114


    modified files:
     ChangeLog doc/reference/syslog-ng.xml


2006-12-22 10:01:22 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-113

    Summary:
      added so_keepalive support
    Revision:
      syslog-ng--mainline--2.0--patch-113

    	* src/cfg-grammar.y: added KW_SO_KEEPALIVE keyword,
    	(socket_option): added KW_SO_KEEPALIVE rule

    	* src/afsocket.h (SocketOptions): added keepalive member,

    	* src/afsocket.c (afsocket_setup_socket): set SO_KEEPALIVE socket
    	option based on the keepalive parameter


    modified files:
     ChangeLog src/afsocket.c src/afsocket.h src/cfg-grammar.y
     src/cfg-lex.l


2006-12-21 08:48:42 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-112

    Summary:
      fixed XML syntax error in refguide
    Revision:
      syslog-ng--mainline--2.0--patch-112




    modified files:
     ChangeLog doc/reference/syslog-ng.xml


2006-12-21 08:46:42 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-111

    Summary:
      bumped version to 2.0.1
    Revision:
      syslog-ng--mainline--2.0--patch-111




    modified files:
     ChangeLog VERSION


2006-12-21 08:45:35 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-110

    Summary:
      updated documentation with new dns cache options
    Revision:
      syslog-ng--mainline--2.0--patch-110




    modified files:
     ChangeLog doc/reference/syslog-ng.xml


2006-12-21 08:39:23 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-109

    Summary:
      NEWS preparations for syslog-ng 2.0.1
    Revision:
      syslog-ng--mainline--2.0--patch-109




    modified files:
     ChangeLog NEWS


2006-12-21 08:31:08 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-108

    Summary:
      obsoleted remove_if_older option in favour of overwrite_if_older
    Revision:
      syslog-ng--mainline--2.0--patch-108

    	* src/affile.{c,h}: renamed remove_if_older references to
    	overwrite_if_older

    	* src/cfg-lex.l, src/cfg-grammar.y: -"-

    	* doc/reference/syslog-ng.xml: added overwrite_if_older
    	documentation, added note about obsoleted remove_if_older()


    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/affile.c
     src/affile.h src/cfg-grammar.y src/cfg-lex.l


2006-12-21 08:21:49 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-107

    Summary:
      documentation updates on remove_if_older()
    Revision:
      syslog-ng--mainline--2.0--patch-107




    modified files:
     ChangeLog doc/reference/syslog-ng.xml


2006-12-18 09:01:46 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-106

    Summary:
      added include misc.h to afstreams.c
    Revision:
      syslog-ng--mainline--2.0--patch-106

    	* src/afstreams.c: added #include "misc.h"


    modified files:
     ChangeLog src/afstreams.c


2006-12-11 09:42:40 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-105

    Summary:
      removed bogus timezone error message for correct timezone values
    Revision:
      syslog-ng--mainline--2.0--patch-105

    	* src/cfg.c (cfg_timezone_value): readded erroneously removed return
    	statement which caused an error message for all timezone values


    modified files:
     ChangeLog src/cfg.c


2006-12-08 08:40:35 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-104

    Summary:
      removed 12 hour limitation from timezone offsets
    Revision:
      syslog-ng--mainline--2.0--patch-104

    	* src/cfg.c (cfg_timezone_value): removed 12 hours limitation as
    	offsets may well exceed that value (maximum is 24 hours)

    	* doc/reference/syslog-ng.xml: removed non-existing timezone()
    	option



    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/cfg.c


2006-12-02 22:20:39 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-103

    Summary:
      added minimum version checking for glib/eventlog, also fixed a portability problem with non-gcc compilers in configure
    Revision:
      syslog-ng--mainline--2.0--patch-103




    modified files:
     ChangeLog configure.in


2006-11-30 09:49:22 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-102

    Summary:
      fixed a typo in the documentation, added sys/socket.h to dnscache.c
    Revision:
      syslog-ng--mainline--2.0--patch-102




    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/dnscache.c


2006-11-27 10:55:47 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-101

    Summary:
      fixed the previously messed up commit
    Revision:
      syslog-ng--mainline--2.0--patch-101




    modified files:
     ChangeLog src/logmsg.c


2006-11-27 10:52:40 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-100

    Summary:
      fixed a compilation problem in logmsg.c
    Revision:
      syslog-ng--mainline--2.0--patch-100

    	* src/logmsg.c (log_msg_parse): fixed a bad assignment


    modified files:
     ChangeLog src/cfg-grammar.y


2006-11-16 14:15:50 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-99

    Summary:
      timezone offset calculation fix
    Revision:
      syslog-ng--mainline--2.0--patch-99

    	* src/logmsg.c (log_stamp_format): don't use the absolute value of
    	timezone offset,
    	(log_msg_parse): initialize tm.tm_gmtoff using a call to localtime()
    	instead of using memset(), fixed tv_sec calculation as it was not
    	really UTC which it should've been.

    	* tests/unit/test_msgparse.c: fixed time parsing testcases



    modified files:
     ChangeLog src/logmsg.c tests/unit/test_msgparse.c


2006-11-16 13:11:04 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-98

    Summary:
      fixed GLib static link configure test to work with non-gcc compilers
    Revision:
      syslog-ng--mainline--2.0--patch-98

    	* configure.in: fixed GLib static link configure test to work with
    	non-gcc compilers


    modified files:
     ChangeLog configure.in


2006-11-08 14:18:14 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-97

    Summary:
      fixed up dnscache unit test program
    Revision:
      syslog-ng--mainline--2.0--patch-97




    modified files:
     ChangeLog tests/unit/test_dnscache.c


2006-11-08 14:16:23 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-96

    Summary:
      implemented DNS cache and custom hosts file support
    Revision:
      syslog-ng--mainline--2.0--patch-96

    	* src/cfg-grammar.y: added KW_PERSIST_ONLY, KW_DNS_CACHE_HOSTS keywords, dnsmode rule,
    	removed tripleoption and related options, added

    	* src/cfg-lex.l: added dnscache specific new keywords,

    	* src/cfg.c (cfg_init): added a call to dns_cache_set_params,
    	(cfg_free): free dns_cache_hosts,

    	* src/main.c (main): call dns_cache_init() and dns_cache_destroy()

    	* src/misc.c (resolve_hostname): added DNS cache and persistent-only
    	resolution support

    	* src/sgroup.c (log_source_group_init): save dns cache params,
    	(log_source_group_queue): pass use_dns_cache param to resolve_hostname

    	* src/dnscache.{c,h}: new files


    new files:
     src/.arch-ids/dnscache.c.id src/.arch-ids/dnscache.h.id
     src/dnscache.c src/dnscache.h
     tests/unit/.arch-ids/test_dnscache.c.id
     tests/unit/test_dnscache.c

    modified files:
     ChangeLog src/Makefile.am src/affile.h src/cfg-grammar.y
     src/cfg-lex.l src/cfg.c src/cfg.h src/main.c src/misc.c
     src/misc.h src/sgroup.c src/sgroup.h tests/unit/Makefile.am


2006-11-08 14:11:00 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-95

    Summary:
      don't fail at startup if network connection is down
    Revision:
      syslog-ng--mainline--2.0--patch-95

    	* src/afsocket.c (afsocket_open_socket): added an error message if
    	socket creation failed,
    	(afsocket_dd_start_reconnect_timer): new function, deregisters and
    	starts a new reconnect timer,
    	(afsocket_dd_connected): use afsocket_dd_start_reconnect_timer,
    	(afsocket_dd_start_connect): renamed from afsocket_dd_reconnect,
    	removed explicit timer registration,
    	(afsocket_dd_reconnect): new function, calls _start_connect and
    	registers the reconnect timer if that fails,
    	(afsocket_dd_init): afsocket_dd_reconnect does not return a value now


    modified files:
     ChangeLog src/afsocket.c


2006-11-08 10:10:37 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-94

    Summary:
      increased listener source priorities
    Revision:
      syslog-ng--mainline--2.0--patch-94

    	* src/syslog-ng.h (LOG_PRIORITY_LISTEN): increased priority to match
    	LOG_PRIORITY_READER as otherwise a continous input flow can starve
    	accept()


    modified files:
     ChangeLog src/syslog-ng.h


2006-11-08 09:53:59 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-93

    Summary:
      set the pipe for program destinations to nonlbocking mode
    Revision:
      syslog-ng--mainline--2.0--patch-93

    	* src/afprog.c (afprogram_dd_init): set the pipe fd to nonblocking
    	mode to avoid a possible hang



    modified files:
     ChangeLog src/afprog.c


2006-10-28 16:07:36 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-92

    Summary:
      implemented the missing remove_if_older option
    Revision:
      syslog-ng--mainline--2.0--patch-92

    	* src/affile.c (affile_dw_init): check if the file exists and is
    	older than the value for remove_if_older, if it is unlink it,
    	(affile_dd_set_remove_if_older): new function to set remove_if_older
    	value,

    	* src/cfg-grammar.y (dest_affile_option): added KW_REMOVE_IF_OLDER rule

    	* src/cfg-lex.l: added keyword for KW_REMOVE_IF_OLDER


    modified files:
     ChangeLog src/affile.c src/affile.h src/cfg-grammar.y
     src/cfg-lex.l


2006-10-28 15:37:15 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-91

    Summary:
      preparations for 2.0.0
    Revision:
      syslog-ng--mainline--2.0--patch-91




    modified files:
     ChangeLog NEWS VERSION


2006-10-28 07:24:49 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-90

    Summary:
      fixed process restarting and some other minor fixes
    Revision:
      syslog-ng--mainline--2.0--patch-90

    	* src/afprog.c (afprogram_dd_exit): check that the current pid is
    	equal to the process that was exited, as the EPIPE handling code
    	might have already done our job,
    	(afprogram_dd_init): don't leave the read side of the pipe twice
    	with the process, removed a call to g_fd_set_cloexec() as it's not
    	needed and was too late anyway, should've been before fork,

    	* src/gsockaddr.c (g_sockaddr_unix_format): the kernel sometimes
    	returns only an address family for unix socket names, and we printed
    	a lot of garbage instead of "anonymous" in this case

    	* src/logwriter.c (log_writer_broken): move log_pipe_deinit() before
    	log_pipe_notify(), this was changed in rc3 with a changelog that it
    	should not matter, however it does matter :P as it might have left
    	the writer in an unpolled state


    modified files:
     ChangeLog src/afprog.c src/gsockaddr.c src/logwriter.c


2006-10-27 15:15:30 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-89

    Summary:
      integrated solaris build scripts from dev-folti (fixes: #10358)
    Revision:
      syslog-ng--mainline--2.0--patch-89



    Patches applied:

     * devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--base-0
       tag of devel@balabit.hu--other-1/syslog-ng--mainline--2.0--patch-87

     * devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-1
       Added support for solaris 8/9 and rhel 3/4 packaging. (fixes: #10358)


    new files:
     .arch-ids/syslog-ng.spec.bb.in.id solbuild/.arch-ids/=id
     solbuild/.arch-ids/Makefile.am.id solbuild/.arch-ids/admin.id
     solbuild/.arch-ids/depend.id solbuild/.arch-ids/pkginfo.in.id
     solbuild/.arch-ids/pkgmaker.sh.id
     solbuild/.arch-ids/prototype-maker.sh.id
     solbuild/.arch-ids/rules.conf.id solbuild/.arch-ids/rules.id
     solbuild/.arch-ids/space.id
     solbuild/.arch-ids/syslog-ng.init.d.id solbuild/Makefile.am
     solbuild/admin solbuild/depend solbuild/pkginfo.in
     solbuild/pkgmaker.sh solbuild/prototype-maker.sh
     solbuild/rules solbuild/rules.conf solbuild/space
     solbuild/syslog-ng.init.d syslog-ng.spec.bb.in

    modified files:
     ChangeLog Makefile.am configure.in

    new directories:
     solbuild solbuild/.arch-ids

    new patches:
     devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--base-0
     devel@balabit.hu--other-1/syslog-ng--dev-folti--2.0--patch-1


2006-10-27 15:10:36 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-88

    Summary:
      fixed some compilation warnings under gcc4
    Revision:
      syslog-ng--mainline--2.0--patch-88

    	* src/affile.c (affile_dd_init): added some casts to suppress some
    	warnings

    	* src/gsockaddr.c (g_accept): use socklen_t instead of int as a
    	second argument to accept


    modified files:
     ChangeLog src/affile.c src/gsockaddr.c


2006-10-25 08:36:58 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-87

    Summary:
      documentation updates merged from the tech-writer team
    Revision:
      syslog-ng--mainline--2.0--patch-87



    Patches applied:

     * devel@balabit.hu--other-1/syslog-ng--documentation--2.0--patch-1
       Updated reference guide, still needs work, see FIXMEs

     * devel@balabit.hu--other-1/syslog-ng--documentation--2.0--patch-2
       Updates and fixes from Bazsi


    modified files:
     ChangeLog doc/reference/syslog-ng.xml

    new patches:
     devel@balabit.hu--other-1/syslog-ng--documentation--2.0--patch-1
     devel@balabit.hu--other-1/syslog-ng--documentation--2.0--patch-2


2006-10-24 11:37:43 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-86

    Summary:
      updated VERSION number
    Revision:
      syslog-ng--mainline--2.0--patch-86




    modified files:
     ChangeLog VERSION


2006-10-24 11:37:16 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-85

    Summary:
      preparations for 2.0rc4
    Revision:
      syslog-ng--mainline--2.0--patch-85




    modified files:
     ChangeLog NEWS


2006-10-21 20:41:41 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-84

    Summary:
      fixed possible NULL deref on destination connection broken, fixed EOF detection
    Revision:
      syslog-ng--mainline--2.0--patch-84

    2006-10-21  Balazs Scheidler <bazsi@balabit.hu>

    	* src/logwriter.c (log_writer_fd_prepare): when EOF detection is
    	enabled specify G_IO_IN and G_IO_HUP in addition to normal flags,
    	(log_writer_fd_dispatch): input on the destination fd is taken as EOF,

    	(log_writer_broken): _deinit is moved after the call to notify,
    	should not matter at all however the reference counting depends on
    	the fact that log_pipe_notify() will not be called after _deinit
    	finishes, in this specific case it would not really matter,
    	(log_writer_deinit): remove unref of self->control,
    	(log_writer_new): self->control is a borrowed reference, don't
    	increase refcount


    modified files:
     ChangeLog src/logwriter.c


2006-10-06 11:49:45 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-83

    Summary:
      added syslog-multicast client to contrib
    Revision:
      syslog-ng--mainline--2.0--patch-83


    new files:
     contrib/.arch-ids/syslog-mc.id contrib/syslog-mc

    modified files:
     ChangeLog contrib/README


2006-09-14 12:35:49 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-82

    Summary:
      preparations for 2.0rc3
    Revision:
      syslog-ng--mainline--2.0--patch-82




    modified files:
     ChangeLog NEWS VERSION


2006-09-14 12:34:44 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-81

    Summary:
      fixed a possible SEGFAULT caused by one of the leak fixes, when output templates() are used
    Revision:
      syslog-ng--mainline--2.0--patch-81

    2006-09-14  Balazs Scheidler <bazsi@balabit.hu>

    	* src/logwriter.c (log_writer_options_init): save options->template
    	before calling log_writer_options_destroy and restore it afterwards
    	as that is never initialized based on the configuration


    modified files:
     ChangeLog src/logwriter.c tests/functional/func_test.py


2006-09-11 10:10:09 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-80

    Summary:
      NEWS update
    Revision:
      syslog-ng--mainline--2.0--patch-80




    modified files:
     ChangeLog NEWS


2006-09-11 10:06:07 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-79

    Summary:
      preparations for 2.0rc2 release
    Revision:
      syslog-ng--mainline--2.0--patch-79


    modified files:
     ChangeLog VERSION


2006-09-11 10:05:05 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-78

    Summary:
      fixed name resolution for unix domain socket peers
    Revision:
      syslog-ng--mainline--2.0--patch-78

    2006-09-11  Balazs Scheidler <bazsi@balabit.hu>

    	* src/misc.c (resolve_hostname): for UNIX domain socket peers don't
    	try to resolve the sender address, fixes a possible abort,
    	introduced by patch-76


    modified files:
     ChangeLog src/misc.c tests/functional/func_test.py


2006-09-11 09:47:54 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-77

    Summary:
      added stats counter orphaning to fix "duplicate stats counter message" for program destinations
    Revision:
      syslog-ng--mainline--2.0--patch-77

    2006-09-11  Balazs Scheidler <bazsi@balabit.hu>

    	* src/logwriter.c (log_writer_deinit): call stats_orphan_counter,
    	(log_writer_free): removed stats_unregister_counter, fixed a memory
    	leak by freeing all elements in the logwriter queue,
    	(log_writer_options_init): fixed a possible memory leak by freeing
    	the option structure contents before overwriting it with new values,

    	* src/main.c (main_loop_run): added stats_cleanup_orphans() call

    	* src/stats.c (stats_counter_free): new function,
    	(stats_register_counter): added special case for orphaned counters,
    	save "shared" value in the StatsCounter structure,
    	(stats_orphan_counter): new function, orphanes a counter that can
    	thus be reused by a new configuration upon the receiption of a HUP signal,
    	(stats_unregister_counter): use stats_counter_free instead of
    	open-coding it,
    	(stats_cleanup_orphans): free all orphaned counters, to be called
    	after a reload


    modified files:
     ChangeLog src/logmsg.c src/logwriter.c src/main.c src/stats.c
     src/stats.h


2006-09-11 09:41:42 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-76

    Summary:
      fixed IPv6 name resolution
    Revision:
      syslog-ng--mainline--2.0--patch-76

    2006-09-11  Balazs Scheidler <bazsi@balabit.hu>

    	* src/misc.c (resolve_hostname): added IPv6 specific name resolution


    modified files:
     ChangeLog src/misc.c


2006-09-11 09:40:58 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-75

    Summary:
      fixed NL handling in DGRAM transports
    Revision:
      syslog-ng--mainline--2.0--patch-75

    2006-09-11  Balazs Scheidler <bazsi@balabit.hu>

    	* src/logreader.c (log_reader_iterate_buf): flush input buffer
    	regardless of embedded NLs in the case of DGRAM transports


    modified files:
     ChangeLog src/logreader.c


2006-08-09 08:01:16 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-74

    Summary:
      fixed another memory leak that might happen during exit
    Revision:
      syslog-ng--mainline--2.0--patch-74

    	* src/messages.c (msg_send_internal_message): don't allocate a
    	LogMessage if internal_msg_queue is NULL as that can't be sent
    	anyway


    modified files:
     ChangeLog src/messages.c


2006-08-08 19:58:08 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-73

    Summary:
      various memory leak fixes
    Revision:
      syslog-ng--mainline--2.0--patch-73

    	* src/affile.c (affile_dw_deinit): check if self->writer is NULL,
    	(affile_dd_free): call log_writer_options_destroy as
    	LogWriterOptions might contain dynamically allocated memory,

    	* src/afprog.c (afprogram_dd_exit): removed log_pipe_unref, it is
    	performed by the children handling framework,
    	(afprogram_dd_init): use the new GDestroyNotify argument of children
    	manager,
    	(afprogram_dd_free): added log_writer_options_destroy call

    	* src/afsocket.c (afsocket_dd_free): added
    	log_writer_options_destroy call

    	* src/children.c (ChildEntry): added callback_data_destroy member,
    	(child_manager_child_entry_free): new function, frees a ChildEntry,
    	(child_manager_sigchild): removed g_free, it is done by the
    	GHashTable automatically,
    	(child_manager_init): use g_hash_table_new_full and specify destroy
    	notify callback for the data stored in the hashtable

    	* src/logreader.c (log_reader_iterate_buf): assume that saddr is a
    	borrowed reference and handle it as such,
    	(log_reader_fetch_log): iterate_buf borrows the reference so it is
    	our duty to free sockaddr, do so in all branches,

    	* src/logwriter.c (log_writer_deinit): drop reference to
    	self->control to break a circular reference,
    	(log_writer_free): removed log_pipe_unref self->control,

    	* src/messages.c (msg_send_internal_message): check if
    	internal_msg_queue is null,
    	(msg_deinit): free internal_msg_queue

    modified files:
     ChangeLog src/affile.c src/afprog.c src/afsocket.c
     src/children.c src/children.h src/logreader.c src/logwriter.c
     src/logwriter.h src/messages.c


2006-08-02 07:22:17 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-72

    Summary:
      Fixed possible DoS when a 0 sized packet is received via UDP
    Revision:
      syslog-ng--mainline--2.0--patch-72

    	* src/logreader.c (log_reader_fetch_log): don't take 0 sized packets
    	as EOF for packet based transports like UDP

    	* src/afsocket.c (afsocket_sc_notify): don't close the input
    	connection on read errors for non-stream based transports


    modified files:
     ChangeLog src/afsocket.c src/logreader.c


2006-07-28 12:54:35 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-71

    Summary:
      fixed facility filter evaluation problem on platforms with unsigned chars (powerpc)
    Revision:
      syslog-ng--mainline--2.0--patch-71

    	* src/filter.c (filter_facility_eval): Fixed filter evaluation on
    	platforms which have unsigned character type by default (powerpc)


    modified files:
     ChangeLog src/filter.c


2006-07-16 19:29:31 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-70

    Summary:
      added clarification of the output format of program()
    Revision:
      syslog-ng--mainline--2.0--patch-70




    modified files:
     ChangeLog doc/reference/syslog-ng.xml


2006-07-08 11:56:10 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-69

    Summary:
      NEWS update
    Revision:
      syslog-ng--mainline--2.0--patch-69




    modified files:
     ChangeLog NEWS


2006-07-08 11:52:25 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-68

    Summary:
      preparations for 2.0rc1 release
    Revision:
      syslog-ng--mainline--2.0--patch-68




    modified files:
     ChangeLog NEWS


2006-06-28 12:09:44 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-67

    Summary:
      fixed unix domain destination handling
    Revision:
      syslog-ng--mainline--2.0--patch-67

    	* src/afunix.c (afunix_dd_new): initialize bind_addr as the afsocket
    	code assumes that it is not NULL, fixes a possible SIGSEGV


    modified files:
     ChangeLog NEWS src/afunix.c


2006-06-23 14:10:53 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-66

    Summary:
      fixed dir_group processing
    Revision:
      syslog-ng--mainline--2.0--patch-66

    	* src/affile.c (affile_dd_new): dir_gid was not initialized because
    	of a typo, thus dir_group() did not take effect, fixed


    modified files:
     ChangeLog src/affile.c


2006-06-20 12:50:32 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-65

    Summary:
      bumped version to 2.0rc1
    Revision:
      syslog-ng--mainline--2.0--patch-65




    modified files:
     ChangeLog VERSION


2006-06-20 11:44:31 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-64

    Summary:
      documentation updates, flush_timeout changed to use msecs
    Revision:
      syslog-ng--mainline--2.0--patch-64

    	* doc/reference/syslog-ng.xml: documentation updates

    	* src/logwriter.c (log_writer_fd_prepare): assume that the
    	flush_timeout parameter is in msecs

    	* src/cfg.c (cfg_init): use 10000 as default for flush_timeout()


    modified files:
     ChangeLog NEWS doc/reference/syslog-ng.xml src/cfg.c
     src/logwriter.c


2006-06-12 09:21:24 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-63

    Summary:
      support optional() for file destinations, optional destinations are only reopened after time_reopen() time has elapsed
    Revision:
      syslog-ng--mainline--2.0--patch-63

    	* src/affile.c (AFFileDestWriter): added time_reopen and
    	last_open_stamp members,
    	(affile_dw_init): store the time_reopen value from cfg, save the
    	current time in last_open_stamp, don't fail the initialization if
    	optional is enabled,
    	(affile_dw_queue): reopen the destination if time_reopen() time has
    	elapsed, drop the message if we are without a destination,


    	* src/cfg-grammar.y (dest_affile_options): added KW_OPTIONAL parsing



    modified files:
     ChangeLog src/affile.c src/cfg-grammar.y


2006-06-12 08:47:41 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-62

    Summary:
      fixed evaluation of priority range filters
    Revision:
      syslog-ng--mainline--2.0--patch-62


    	* src/syslog-names.c (syslog_name_find_name): new inline function
    	used by various lookup functions,
    	(syslog_name_lookup_id_by_name): renamed from syslog_lookup_name,
    	(syslog_name_lookup_name_by_value): renamed from syslog_lookup_value,
    	(syslog_name_lookup_value_by_name): new function,
    	(syslog_make_range): renamed parameters to make the code more readable

    	* src/syslog-names.h (syslog_name_lookup_level_by_name): changed to
    	return the _VALUE_ for syslog message levels,
    	(syslog_name_lookup_facility_by_name): follow name changes

    	* src/cfg-grammar.y: use the new, more readable function names in
    	syslog-names.c

    	* src/filter.c (filter_level_eval): we store a bitmask of the value
    	of priorities instead of our internal ids, thus the function body
    	was simplified a lot (and it works now :)

    	* src/macros.c (log_macro_expand): follow function renames

    	* tests/unit/test_filters.c: added level range tests

    modified files:
     ChangeLog src/cfg-grammar.y src/filter.c src/macros.c
     src/syslog-names.c src/syslog-names.h
     tests/unit/test_filters.c


2006-06-12 07:53:10 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-61

    Summary:
      portability fixes
    Revision:
      syslog-ng--mainline--2.0--patch-61

    	* configure.in: detect AIX and HP-UX using uname -s, instead of
    	trying to extract platform information from the linker's version
    	number (proved not to be reliable on HP-UX)

    	* src/misc.c (getlonghostname, getshorthostname): use 256 characters
    	array to store hostnames

    	* src/sgroup.c (log_source_group_queue): -"-



    modified files:
     ChangeLog configure.in src/misc.c src/sgroup.c


2006-06-07 09:14:55 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-60

    Summary:
      fixed pointer conversion macros on 64 bit platforms
    Revision:
      syslog-ng--mainline--2.0--patch-60

    	* src/macros.c (log_macro_lookup): use GINT_TO_POINTER and
    	GPOINTER_TO_INT macros instead of casting values directly to avoid
    	warnings on 64 bit systems


    modified files:
     ChangeLog src/macros.c


2006-06-07 09:09:14 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-59

    Summary:
      do not reconnect to target immediately but wait for time_reopen first
    Revision:
      syslog-ng--mainline--2.0--patch-59

    	* src/afsocket.c (afsocket_dd_notify): instead of immediately
    	scheduling a reconnect, start the reconnect timer to avoid excessive
    	number of reconnection requests in case of a going up-and-down
    	connection


    modified files:
     ChangeLog src/afsocket.c


2006-06-07 09:07:40 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-58

    Summary:
      fixed IPv6 portability problem
    Revision:
      syslog-ng--mainline--2.0--patch-58

    	* src/afinet.c (afinet_setup_socket): use the "official"
    	IPV6_JOIN_GROUP name instead of IPV6_ADD_MEMBERSHIP as the latter is
    	not defined on all platforms


    modified files:
     ChangeLog src/afinet.c


2006-06-01 09:10:00 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-57

    Summary:
      fixed HP-UX portability problem
    Revision:
      syslog-ng--mainline--2.0--patch-57

    	* src/afinet.c (afinet_setup_socket): fixed IN6_IS_ADDR_MULTICAST
    	call as struct in6_addr definition differs on HP-UX (thanks go to
    	Albert Chin)

    modified files:
     ChangeLog src/afinet.c


2006-05-26 19:33:31 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-56

    Summary:
      removed C99ism from stats.c
    Revision:
      syslog-ng--mainline--2.0--patch-56

    	* src/stats.c (stats_generate_log): remove C99 initializers from the
    	initialization of tag_names to make syslog-ng compatible with vendor
    	compilers of various commercial UNIX platforms


    modified files:
     ChangeLog src/stats.c


2006-05-26 19:30:30 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-55

    Summary:
      compatibility fixes for Solaris/AIX
    Revision:
      syslog-ng--mainline--2.0--patch-55

    2006-05-26  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afinet.c: define SOL_IP and SOL_IPV6 on platforms which use
    	IPPROTO_* for this purpose, added the inclusion of <string.h> for
    	the definition of memset()


    modified files:
     ChangeLog src/afinet.c


2006-05-26 19:25:24 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-54

    Summary:
      added LEVEL_NUM and FACILITY_NUM macros to follow 1.6.x changes
    Revision:
      syslog-ng--mainline--2.0--patch-54

    	* src/macros.c (log_macro_expand): added code for LEVEL_NUM and
    	FACILITY_NUM macros

    	* tests/test_template.c: added testcase for LEVEL_NUM and
    	FACILITY_NUM macros


    modified files:
     ChangeLog src/macros.c src/macros.h tests/unit/test_template.c


2006-05-24 08:59:44 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-53

    Summary:
      guard LOG_CRON with ifdef as it might not exist on some platforms
    Revision:
      syslog-ng--mainline--2.0--patch-53


    	* src/syslog-names.c (sl_facilities): some platforms do not define
    	LOG_CRON

    modified files:
     ChangeLog src/syslog-names.c


2006-05-23 18:45:59 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-52

    Summary:
      preparations for 1.9.11
    Revision:
      syslog-ng--mainline--2.0--patch-52




    modified files:
     ChangeLog NEWS VERSION


2006-05-23 18:45:37 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-51

    Summary:
      fixed dropping input/output/error fds when going to background
    Revision:
      syslog-ng--mainline--2.0--patch-51

    2006-05-23  Balazs Scheidler <bazsi@balabit.hu>

    	* src/main.c (setup_std_fds): fix inverted check for errors after
    	opening /dev/null, also close stderr when log_to_stderr is not
    	specified

    	* src/afprog.c (afprogram_dd_init): removed setsid call

    modified files:
     ChangeLog src/afprog.c src/main.c


2006-05-23 18:33:25 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-50

    Summary:
      add program exit status information to 'child program exited' log message
    Revision:
      syslog-ng--mainline--2.0--patch-50

    2006-05-23  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afprog.c (afprogram_dd_exit): added program exit status
    	information to 'child program exited' log message


    modified files:
     ChangeLog src/afprog.c


2006-05-23 18:31:55 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-49

    Summary:
      added direction to socket setup code, fixed multicast setup
    Revision:
      syslog-ng--mainline--2.0--patch-49

    2006-05-23  Balazs Scheidler <bazsi@balabit.hu>

    	* src/afsocket.h (AFSocketDirection): new type, specifies the future
    	communication direction on a socket, used to determine which socket
    	options to set on a socket,

    	* src/afsocket.c (afsocket_setup_socket): added direction parameter,
    	(afsocket_sd_setup_socket, afsocket_dd_setup_socket): pass value for
    	'direction' parameter

    	* src/afinet.c (afinet_setup_socket): added direction parameter,
    	fixed multicast check for IPv4 addresses


    modified files:
     ChangeLog src/afinet.c src/afsocket.c src/afsocket.h


2006-05-23 18:28:52 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-48

    Summary:
      check that the value for time_sleep is less than 500msec
    Revision:
      syslog-ng--mainline--2.0--patch-48

    2006-05-23  Balazs Scheidler <bazsi@balabit.hu>

    	* src/cfg-grammar.y (options_item, KW_TIME_SLEEP): check if the
    	value is more than 500, and maximize its value in this case

    	* src/main.c (main_loop_run): calculate timespec properly if
    	time_sleep is more than 1 sec


    modified files:
     ChangeLog src/cfg-grammar.y src/main.c


2006-05-01 14:06:35 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-47

    Summary:
      added options to control various socket parameters and added multicast support
    Revision:
      syslog-ng--mainline--2.0--patch-47

    	* src/gsockaddr.h (g_sockaddr_inet6_get_address,
    	g_sockaddr_inet6_set_address): use pointers to struct in6_addr
    	instead of passing the structure by value

    	* src/afsocket.c (afsocket_setup_socket): new function, set generic
    	socket options,
    	(afsocket_sd_accept): call setup_socket for new fds,
    	(afsocket_sd_init): -"-,
    	(afsocket_dd_reconnect): -"-,
    	(afsocket_sd_setup_socket): new function, default setup_socket callback,
    	(afsocket_sd_init_instance): added sock_options argument, set
    	default setup_socket callback,
    	(afsocket_dd_init_instance): added sock_options argument, set
    	default setup_socket callback,

    	* src/afsocket.h (AFSocketSourceDriver): added setup_socket callback,
    	(AFSocketDestDriver): added setup_socket callback,

    	* src/afinet.c (afinet_resolve_name): follow g_sockaddr_inet6_set_address change,
    	(afinet_setup_socket): new function to set AF_INET & AF_INET6
    	specific socket options,
    	(afinet_sd_setup_socket): new function, used as the setup_socket callback,
    	(afinet_dd_setup_socket): new function, used as the setup_socket callback,

    	* src/afunix.c (afunix_sd_new, afunix_dd_new): adapted to afsocket changes,

    	* src/cfg-grammar.y (socket_option, inet_socket_option): added
    	socket option parsing

    	* src/cfg-lex.l: added new keywords for socket options

    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/afinet.c
     src/afinet.h src/afsocket.c src/afsocket.h src/afunix.c
     src/afunix.h src/cfg-grammar.y src/cfg-lex.l src/gsockaddr.h


2006-05-01 12:38:10 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-46

    Summary:
      fixed Solaris portability problems, avoid multiread on STREAMS sources
    Revision:
      syslog-ng--mainline--2.0--patch-46

    	* configure.in: check for -lrt for nanosleep

    	* src/afstreams.c (afstreams_sd_init): pass LR_NOMREAD flag to
    	log_reader_new()


    modified files:
     ChangeLog configure.in src/afstreams.c


2006-04-30 20:20:44 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-45

    Summary:
      fixed fetching kernel messages which was broken by the multi-read patches
    Revision:
      syslog-ng--mainline--2.0--patch-45

    	* src/logreader.h (LR_NOMREAD): new flag, indicates that the log
    	reader should not use multiple read() calls in a single poll loop

    	* src/logreader.c (log_reader_fetch_log): break out of the loop if
    	LR_NOMREAD is specified

    	* src/affile.c (affile_sd_init): specify LR_NOMREAD


    modified files:
     ChangeLog src/affile.c src/logreader.c src/logreader.h


2006-04-23 10:35:57 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-44

    Summary:
      fixed endless-loop and CPU spinning if a non-existing filter is referenced in the internal() path
    Revision:
      syslog-ng--mainline--2.0--patch-44

    	* src/filter.c (filter_call_eval): only log the "not-found filter"
    	error message once


    modified files:
     ChangeLog src/filter.c


2006-04-23 10:22:21 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-43

    Summary:
      fixed possible memory leak
    Revision:
      syslog-ng--mainline--2.0--patch-43

    	* src/logreader.c (log_reader_iterate_buf): drop self->prev_addr
    	reference if it exists, previously it might have been overwritten
    	with a new reference without dropping the old, fixes a potential
    	GSockAddr reference leak

    modified files:
     ChangeLog src/logreader.c


2006-04-23 09:23:19 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-42

    Summary:
      added IPv6 support
    Revision:
      syslog-ng--mainline--2.0--patch-42

    	* configure.in: added --enable-ipv6 option, defaults to "yes",
    	added checks for getaddrinfo()

    	* src/afinet.c (afinet_set_port): added ipv6 support,
    	(afinet_resolve_name): renamed from afinet_set_ip, use getaddrinfo()
    	to resolve names where available,
    	(afinet_sd_new): added af argument, use afinet_resolve_name instead
    	of the removed g_sockaddr_inet_new_resolve() function, use a default
    	"bind address" value if the host argument is NULL,
    	(afinet_dd_new): added af argument, use afinet_resolve_name instead
    	of the removed g_sockaddr_inet_new_resolve() function

    	* src/cfg-grammar.y: added KW_UDP6 and KW_TCP6 keywords,
    	(source_afsocket, dest_afsocket): added rules for KW_UDP6 & KW_TCP6,
    	(dest_afinet_udp_params, dest_afinet_tcp_params): added ipv6
    	support, adapted to the latest changes in afinet
    	(source_afinet_udp_params, source_afinet_tcp_params): -"-

    	* src/cfg-lex.l: added "udp6" and "tcp6" keywords

    	* src/gsockaddr.c (g_sockaddr_inet_new_resolve): removed this
    	function as it is an address family independent operation now
    	implemented in afinet.c,
    	(g_sockaddr_inet6_check): new function to check whether a GSockAddr
    	contains an ipv6 socket name,

    	* src/gsockaddr.h (g_sockaddr_get_sa, g_sockaddr_inet_get_sa,
    	g_sockaddr_inet_get_address, g_sockaddr_inet_set_address,
    	g_sockaddr_inet_get_port, g_sockaddr_inet_set_port): new inline
    	functions, ported from the Zorp sockaddr code,
    	(g_sockaddr_inet6_get_sa, g_sockaddr_inet6_get_address,
    	g_sockaddr_inet6_set_address, g_sockaddr_inet6_get_port,
    	g_sockaddr_inet6_set_port): new functions, similar to IPv6 counterparts


    modified files:
     ChangeLog configure.in src/afinet.c src/afinet.h
     src/cfg-grammar.y src/cfg-lex.l src/gsockaddr.c
     src/gsockaddr.h


2006-04-20 12:07:17 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-41

    Summary:
      fixed off-by-one in flush_lines() calculation
    Revision:
      syslog-ng--mainline--2.0--patch-41

    	* src/logwriter.c (log_writer_fd_prepare): flush_lines(1) required
    	two lines to be flushed, modified the condition so that:
    	flush_lines(0) that output buffering is off, flush_lines(1) is
    	basically equivalent, every single individual line is flushed,
    	flush_lines(2) flushes the output buffer if two lines are already
    	available


    modified files:
     ChangeLog src/logwriter.c


2006-04-20 11:57:20 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-40

    Summary:
      added close-on-exec flag to all opened fds to avoid their inheritance to child processes
    Revision:
      syslog-ng--mainline--2.0--patch-40

    	* src/af*.c: call g_fd_set_cloexec for all new fds

    	* src/misc.c (g_fd_set_cloexec): new function, sets FD_CLOEXEC flag
    	for an fd

    modified files:
     ChangeLog src/affile.c src/afprog.c src/afsocket.c
     src/afstreams.c src/misc.c src/misc.h


2006-04-19 18:47:12 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-39

    Summary:
      change file owner/group independently
    Revision:
      syslog-ng--mainline--2.0--patch-39

    	* src/affile.c (affile_open_file): change owner/group independently


    modified files:
     ChangeLog src/affile.c


2006-04-19 18:44:34 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-38

    Summary:
      don't try to chmod/chown files that do not exist
    Revision:
      syslog-ng--mainline--2.0--patch-38

    	* src/affile.c (affile_open_file): don't call chmod/chown when
    	opening the file failed


    modified files:
     ChangeLog src/affile.c


2006-04-10 21:36:12 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-37

    Summary:
      fixed a compilation warning
    Revision:
      syslog-ng--mainline--2.0--patch-37




    modified files:
     ChangeLog src/cfg-grammar.y


2006-04-10 21:33:37 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-36

    Summary:
      preparations for 1.9.10, this time for real
    Revision:
      syslog-ng--mainline--2.0--patch-36




    modified files:
     ChangeLog NEWS


2006-04-10 21:32:30 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-35

    Summary:
      display an error message instead of a failed assertion when the user specifies conflicting sources
    Revision:
      syslog-ng--mainline--2.0--patch-35

    	* src/cfg.c (persist_config_add): don't store the value if it is
    	NULL, display an error message instead of a failed assertion if
    	the persistent name conflicts

    modified files:
     ChangeLog src/cfg.c


2006-04-10 20:59:32 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-34

    Summary:
      don't treat parse flags as keywords
    Revision:
      syslog-ng--mainline--2.0--patch-34

    	* src/cfg-grammar.y: removed KW_NO_PARSE and KW_KERNEL tokens,
    	(source_reader_option_flags): use IDENTIFIER instead of using
    	separate keywords and call lookup_parse_flag to convert the textual
    	representation of parse flags to flag values,

    	* src/cfg-lex.l (keywords): removed no_parse and kernel keywords,
    	(lookup_parse_flag): new function, returns the flag value associated
    	with the text representation

    	* src/cfg.c (cfg_init): fixed possible segfault when bad_hostname
    	regexp was not specified

    modified files:
     ChangeLog src/cfg-grammar.y src/cfg-lex.l src/cfg.c


2006-04-10 20:47:03 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-33

    Summary:
      implemented bad_hostname and check_hostname options
    Revision:
      syslog-ng--mainline--2.0--patch-33

    	* src/cfg-grammar.y: added KW_BAD_HOSTNAME and KW_CHECK_HOSTNAME tokens

    	* src/cfg-lex.l: added keywords for KW_BAD_HOSTNAME and KW_CHECK_HOSTNAME

    	* src/cfg.c (cfg_bad_hostname_set): new function, set global bad_hostname regexp,
    	(cfg_init): compile bad_hostname_re

    	* src/log.c (log_msg_parse): added bad_hostname regexp param, and an
    	implementation of check_hostname() and bad_hostname(),
    	(log_msg_init): avoid a time(NULL) call,
    	(log_msg_new): added bad_hostname parameter,
    	(log_reader_options_init): set options->options and
    	options->bad_hostname based on the values stored in GlobalConfig

    	* tests/unit/test_msgparse.c: added testcases for check_hostname()
    	and bad_hostname()

    	* src/*.c, src/*.h: followed changes



    modified files:
     ChangeLog NEWS src/cfg-grammar.y src/cfg-lex.l src/cfg.c
     src/cfg.h src/logmsg.c src/logmsg.h src/logreader.c
     src/logreader.h src/messages.c tests/unit/test_filters.c
     tests/unit/test_msgparse.c tests/unit/test_template.c


2006-04-09 08:02:44 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-32

    Summary:
      fixed timestamp calculation on timezone barriers
    Revision:
      syslog-ng--mainline--2.0--patch-32

    	* src/logmsg.c (log_msg_parse): fixed timestamp calculation where a
    	timezone information was specified, see the comment for details,

    	* tests/unit/test_msgparse.c: added some more testcases with
    	timestamps around the DST switch

    	* tests/unit/test_template.c: fixed the timezone offset of the
    	arbitrary timestamp chosen in the testcases


    modified files:
     ChangeLog src/logmsg.c src/misc.c tests/unit/test_msgparse.c
     tests/unit/test_template.c


2006-04-07 14:27:52 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-31

    Summary:
      accept negative numbers as NUMBER in the lexer
    Revision:
      syslog-ng--mainline--2.0--patch-31

    2006-04-07  Balazs Scheidler <bazsi@balabit.hu>

    	* src/cfg-lex.l: accept negative numbers in the lexer


    modified files:
     ChangeLog src/cfg-lex.l


2006-04-06 10:20:41 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-30

    Summary:
      added a paragraph to the documentation clarifying pipe and /proc/kmsg
    Revision:
      syslog-ng--mainline--2.0--patch-30




    modified files:
     ChangeLog doc/reference/syslog-ng.xml


2006-04-02 10:11:57 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-29

    Summary:
      updated NEWS file, preparations for 1.9.10
    Revision:
      syslog-ng--mainline--2.0--patch-29

    	* VERSION: bumped version to 1.9.10

    modified files:
     ChangeLog NEWS VERSION


2006-04-01 08:03:10 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-28

    Summary:
      fixed large file support
    Revision:
      syslog-ng--mainline--2.0--patch-28

    	* configure.in: check for O_LARGEFILE

    	* src/affile.c: use O_LARGEFILE when available



    modified files:
     ChangeLog configure.in src/affile.c


2006-03-26 17:38:09 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-27

    Summary:
      fixed priority level filtering
    Revision:
      syslog-ng--mainline--2.0--patch-27

    	* src/cfg-grammar.y (filter_level): fixed priority level based
    	filtering, spotted and reported by Jakub Bogusz

    modified files:
     ChangeLog src/cfg-grammar.y


2006-03-22 15:39:58 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-26

    Summary:
      fixed a possible segmentation fault on write errors
    Revision:
      syslog-ng--mainline--2.0--patch-26

    	* src/logwriter.c (log_writer_flush_log): return from the function
    	on error instead of looping with line == NULL, this fixes a possible
    	SIGSEGV, when some messages sit in the queue while the destination
    	goes away

    modified files:
     ChangeLog src/logwriter.c


2006-03-18 22:08:50 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-25

    Summary:
      reimplemented netmask() filter which was missing from 1.9.9
    Revision:
      syslog-ng--mainline--2.0--patch-25

    	* src/cfg-grammar.y, src/cfg-lex.l: added KW_NETMASK

    	* src/filter.c (filter_netmask_new): new function to construct a
    	netmask filter, cidr "address/prefix" and "address/address" formats
    	are accepted

    	* src/logmsg.h: fixed a warning by declaring log_msg_clear_matches function

    	* doc/reference/syslog-ng.xml: added a notice on redefining
    	template() for network destinations

    	* tests/unit/test_filter.c: added unit tests for netmask filter



    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/cfg-grammar.y
     src/cfg-lex.l src/filter.c src/filter.h src/logmsg.h
     tests/unit/test_filters.c


2006-03-13 23:12:08 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-24

    Summary:
      fixed regexp match space macro expansion
    Revision:
      syslog-ng--mainline--2.0--patch-24

    	* src/filter.c (filter_re_eval): added msg parameter, instead of
    	using the re_matches array, use a per-message store

    	* src/logmsg.h (LogMessage): added re_matches

    	* src/macros.c (log_macro_expand): use per-message re_matches array


    modified files:
     ChangeLog src/filter.c src/filter.h src/logmsg.c src/logmsg.h
     src/macros.c src/main.c


2006-03-13 17:16:08 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-23

    Summary:
      fail the testprogram if the pidfile could not be found
    Revision:
      syslog-ng--mainline--2.0--patch-23




    modified files:
     ChangeLog tests/functional/func_test.py


2006-03-13 16:37:17 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-22

    Summary:
      stats_freq is only taken into account if the value is larger than 0
    Revision:
      syslog-ng--mainline--2.0--patch-22

    	* src/main.c (main_loop_run): take changed stats_freq into account
    	after a SIGHUP, stats_freq == 0 means to disable stats messages
    	altogether


    modified files:
     ChangeLog src/main.c


2006-03-13 10:40:55 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-21

    Summary:
      added %option noyywrap to cfg-lex.l
    Revision:
      syslog-ng--mainline--2.0--patch-21

    	* src/cfg-lex.l: added %option noyywrap to cfg-lex.l


    modified files:
     ChangeLog src/cfg-lex.l


2006-02-28 18:47:01 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-20

    Summary:
      fixed possible abort in program destination
    Revision:
      syslog-ng--mainline--2.0--patch-20

    	* src/afprog.c (afprogram_dd_deinit): don't drop the reference to
    	self->writer, only deinit it,
    	(afprogram_dd_free): drop the reference to self->writer,

    	* src/main.c (main_loop_run): change the loop so that it actually
    	processes exited children


    modified files:
     ChangeLog src/afprog.c src/main.c


2006-02-26 09:39:39 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-19

    Summary:
      really release 1.9.9
    Revision:
      syslog-ng--mainline--2.0--patch-19




    modified files:
     ChangeLog tests/functional/func_test.py


2006-02-26 09:38:42 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-18

    Summary:
      fixed a possible heap overflow introduced by the patches from 2006-02-24
    Revision:
      syslog-ng--mainline--2.0--patch-18

    	* src/logreader.c (log_reader_fetch_log): recalculate the available
    	buffer size before calling read() again, this is a possible heap
    	overflow which was introduced by
    	devel@balabit.hu--other-1/syslog-ng--mainline--2.0--patch-14
    	ChangeLog is in patch-15, this was never released however


    modified files:
     ChangeLog src/logreader.c


2006-02-26 08:50:05 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-17

    Summary:
      preparations for an 1.9.9 release
    Revision:
      syslog-ng--mainline--2.0--patch-17




    modified files:
     ChangeLog NEWS VERSION src/logmsg.c


2006-02-26 08:47:15 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-16

    Summary:
      added time_sleep() option to add a fixed latency to the poll loop
    Revision:
      syslog-ng--mainline--2.0--patch-16

    	* src/cfg-grammar.y: added KW_TIME_SLEEP processing

    	* src/cfg-lex.l: added keyword for KW_TIME_SLEEP

    	* src/main.c: wait using nanosleep if time_sleep() is set

    	* doc/reference/syslog-ng.xml: added documentation on time_sleep and
    	a section in the tuning part to explain it a little further



    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/cfg-grammar.y
     src/cfg-lex.l src/cfg.h src/main.c


2006-02-24 16:24:14 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-15

    Summary:
      added missing ChangeLog from previous patchset
    Revision:
      syslog-ng--mainline--2.0--patch-15

    	* src/fdread.c (fd_do_read): added retrying on EINTR

    	* src/logreader.c (log_reader_iterate_buf): added msg_count argument
    	instead of the local variable as log_reader_iterate_buf might be
    	called multiple times and we do not want to fetch more than
    	fetch_limit() messages in total,
    	(log_reader_fetch_log): added loop to iterate over up to fetch_limit
    	messages without going back to the mainloop




    modified files:
     ChangeLog


2006-02-24 16:19:33 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-14

    Summary:
      added reference/syslog-ng.txt to EXTRA_DIST
    Revision:
      syslog-ng--mainline--2.0--patch-14




    modified files:
     ChangeLog doc/Makefile.am src/fdread.c src/logreader.c


2006-02-24 16:13:38 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-13

    Summary:
      added syslog-ng.txt generation to Makefile
    Revision:
      syslog-ng--mainline--2.0--patch-13




    modified files:
     ChangeLog doc/Makefile.am


2006-02-12 13:37:21 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-12

    Summary:
      fixed second fraction processing so that it actually shows up in output
    Revision:
      syslog-ng--mainline--2.0--patch-12

    	* src/afsocket.h: removed AFSOCKET_PROTO_RFC3164, it might be
    	readded later when multiple protocols will be added, but for now it
    	only clutters the code

    	* src/cfg-grammar.y (KW_TIMESTAMP): moved keep_timestamp processing
    	to the readers, logwriters always reformat the timestamp based on
    	the parsed value, keep_timestamp(no) overwrites the timestamp in the
    	message with the received time,
    	(KW_FRAC_DIGITS): added a way to specify second fraction precision,
    	it now defaults to zero, e.g. no fraction information is added,

    	* src/logmsg.c (log_stamp_format): added support for unix and full
    	timestamps, added frac_digits argument
    	(LogStamp): removed frac_present member, if the user requests second
    	fragments one is always generated, if this information is not
    	available 0 is assumed

    	* src/cfg.c (cfg_ts_format_value): added support for unix and full
    	timestamps,
    	(cfg_new): frac_digits is initialized to 0, keep_timestamp to TRUE

    	* src/logreader.c (log_reader_handle_line): overwrite the message
    	timestamp if keep_timestamp if FALSE,
    	(log_reader_options_init): use the global keep_timestamp setting is
    	one is not specified

    	* src/logwriter.c (log_writer_format_log): always regenerate the
    	timestamp if no template was specified, as there's no point in using
    	the original date in the message as it clutters logs and might
    	confuse receivers,
    	(LWOF_FIXED_STAMP): removed, this is the default behaviour which can
    	be overridden by using templates

    	* src/macros.c (log_macro_expand): use log_stamp_format for all
    	date/time formatting instead of open-coding them,
    	DATE uses the BSD timestamp, regardless of the value of ts_format

    	* src/test_template.c: fixed testprogram


    modified files:
     ChangeLog NEWS doc/reference/syslog-ng.xml src/affile.c
     src/afinet.c src/afsocket.c src/afsocket.h src/cfg-grammar.y
     src/cfg-lex.l src/cfg.c src/cfg.h src/logmsg.c src/logmsg.h
     src/logreader.c src/logreader.h src/logwriter.c
     src/logwriter.h src/macros.c src/macros.h src/templates.c
     src/templates.h tests/unit/test_template.c


2006-02-11 19:29:56 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-11

    Summary:
      readded HOST_FROM, FULLHOST_FROM, SOURCEIP macros, extended unit test program
    Revision:
      syslog-ng--mainline--2.0--patch-11

    	* src/gsockaddr.c (g_sockaddr_inet_check): new function, returns
    	TRUE if the specified address is GSockAddrInet

    	* src/logmsg.c (log_msg_parse): fixed timezone parsing in ISODATE
    	timestamps,
    	(log_msg_init): added host_from member,
    	(log_msg_free): free host_from

    	* src/macros.c (log_macro_expand): added FULLHOST_FROM, HOST_FROM,
    	SOURCEIP implementation, fixed DATE macros

    	* src/misc.c (resolve_hostname): instead of returning a newly
    	allocated GString, store the result in the one passed as parameter

    	* src/sgroup.c (log_source_group_queue): set host_from member in log message

    	* tests/unit/test_msgparse.c: fixed offset/timestamp value

    	* tests/unit/test_template.c: greatly extended to cover all possible
    	macros, resulting fixes are above :)

    modified files:
     ChangeLog NEWS src/gsockaddr.c src/gsockaddr.h src/logmsg.c
     src/logmsg.h src/macros.c src/macros.h src/misc.c src/misc.h
     src/sgroup.c tests/unit/test_msgparse.c
     tests/unit/test_template.c


2006-02-11 17:31:08 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-10

    Summary:
      fixed possible segmentation fault on SIGHUP
    Revision:
      syslog-ng--mainline--2.0--patch-10

    	* src/afsocket.c (afsocket_sc_set_owner): new function, changes all
    	references to a new AFSocketSourceDriver (this happens accross
    	SIGHUPs),
    	(afsocket_sd_set_listener_keep_alive): removed, there's no separate
    	LISTENER_KEEP_ALIVE setting,
    	(afsocket_sd_init): instead of simply changing the next-hop log-pipe
    	of connections call afsocket_sc_set_owner which changes less
    	explicit references

    	* src/cfg-grammar.y (yyparser_reset): new function, resets all
            'last_' variables as they are not referenced and might contain
            pointers to stale data

    	* src/logpipe.c (log_pipe_free_instance): function body moved to
    	log_pipe_unref to clear some clutter in backtraces and both
    	functions are only a couple of lines anyway

    	* src/logreader.c (log_reader_set_options): new function, allows the
    	caller to change the pointer to the options structure


    modified files:
     ChangeLog NEWS src/afinet.c src/afsocket.c src/afsocket.h
     src/afunix.c src/cfg-grammar.y src/cfg.c src/logpipe.c
     src/logreader.c src/logreader.h src/logsource.c
     src/logsource.h src/main.c


2006-02-11 17:22:06 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-9

    Summary:
      memtrace improvements
    Revision:
      syslog-ng--mainline--2.0--patch-9

    	* src/memtrace.c: added backtrace to add/delblock messages

    modified files:
     ChangeLog src/memtrace.c


2006-02-11 13:41:36 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-8

    Summary:
      added some more unit testcases for filter testing
    Revision:
      syslog-ng--mainline--2.0--patch-8




    modified files:
     ChangeLog tests/unit/test_filters.c


2006-02-11 13:07:54 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-7

    Summary:
      added "kernel" flag to log reader flags
    Revision:
      syslog-ng--mainline--2.0--patch-7

    2006-02-11  Balazs Scheidler <bazsi@balabit.hu>

    	* src/cfg-lex.l, src/cfg-grammar.y: added "kernel" keyword

    	* src/logmsg.c (log_msg_parse): default to kern.crit for kernel
    	messages

    	* src/macros.c: fixed PRI macro as it included the hostname as well

    modified files:
     ChangeLog NEWS doc/reference/syslog-ng.xml src/cfg-grammar.y
     src/cfg-lex.l src/logmsg.c src/logmsg.h src/logreader.c
     src/logreader.h src/macros.c


2006-02-11 12:44:37 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-6

    Summary:
      added PID macro and its documentation
    Revision:
      syslog-ng--mainline--2.0--patch-6

    	* src/macros.c (log_expand_macro): added support for PID




    modified files:
     ChangeLog NEWS doc/reference/syslog-ng.xml src/macros.c
     src/macros.h


2006-02-11 12:00:14 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-5

    Summary:
      added normalize_hostnames() option (fixes: #6294)
    Revision:
      syslog-ng--mainline--2.0--patch-5

    2006-02-11  Balazs Scheidler <bazsi@balabit.hu>

    	* src/cfg-lex.l, src/cfg-grammar.y: added normalize_hostnames
    	option

    	* src/sgroup.c: implement normalize_hostnames

    	* src/logmsg.c (log_msg_parse): removed STRICT check from RFC3339
    	timestamp parsing

    	* doc/reference/syslog-ng.xml: updated

    modified files:
     ChangeLog NEWS doc/reference/syslog-ng.xml src/cfg-grammar.y
     src/cfg-lex.l src/cfg.h src/logmsg.c src/misc.c src/misc.h
     src/sgroup.c src/sgroup.h


2006-02-11 10:57:43 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-4

    Summary:
      Added processed counters for source/destination groups and the log center (fixes: #5368)
    Revision:
      syslog-ng--mainline--2.0--patch-4


    	* src/affile.c (affile_dd_format_stats_name): readded this function
    	to generate a unique stats ID for the specific destination driver
    	instance,
    	(affile_dd_init): use NO_STATS for files only,

    	* src/center.c (log_center_init): added received/queued counters,
    	(log_center_queue): increment counters

    	* src/sgroup.c, src/dgroup.c: added processed counters

    	* src/stats.c, src/stats.h: added SC_TYPE_PROCESSED, make sure that
    	counters are interpreted in their proper namespace,
    	(stats_unregister_counter): added missing "type" argument



    modified files:
     ChangeLog NEWS src/affile.c src/center.c src/center.h
     src/dgroup.c src/dgroup.h src/driver.c src/logwriter.c
     src/sgroup.c src/sgroup.h src/stats.c src/stats.h


2006-02-11 08:43:32 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-3

    Summary:
      added optional() parameter to pipe/unix drivers (fixes: #4999)
    Revision:
      syslog-ng--mainline--2.0--patch-3

    	* src/driver.h: added optional member (fixes: #4999)

    	* src/cfg-lex.l: added optional keyword (fixes: #4999)

    	* src/cfg-grammar.y: added optional keyword to pipe and unix domain
    	socket based source drivers (fixes: #4999)

    	* src/afsocket.c (afsocket_sd_init): do not fail if binding failed
    	and optional is TRUE (fixes: #4999)

    	* src/affile.c (affile_sd_init): do not fail if opening failed and
    	optional is TRUE (fixes: #4999)


    modified files:
     ChangeLog doc/reference/syslog-ng.xml src/affile.c
     src/afsocket.c src/cfg-grammar.y src/cfg-lex.l src/driver.h


2006-02-11 08:16:00 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-2

    Summary:
      implemented filter debugging (fixes: #3988)
    Revision:
      syslog-ng--mainline--2.0--patch-2


    	* src/filter.c (log_filter_rule_eval): new function, previously
    	rule->root was manipulated directly which was not nice, filter rule
    	debugging messages are put here (fixes: #3988),
    	(filter_expr_eval): uninlined, added debugging messages (fixes: #3988),
    	(filter_expr_free): uninlined
    	(*_new): set self->type to be used in log messages properly (fixes: #3988)



    modified files:
     ChangeLog src/center.c src/filter.c src/filter.h


2006-02-11 07:53:02 GMT	Balazs Scheidler <bazsi@balabit.hu>	patch-1

    Summary:
      integrated last pending patch from bazsi's archive, started new ChangeLog
    Revision:
      syslog-ng--mainline--2.0--patch-1


    	* tla archives were switched, syslog-ng now uses
    	devel@balabit.hu--other-1, the old ChangeLog file was archived as
    	ChangeLog.1

    	* integrated a last pending patch from the old archive to fix a
    	possible 64bit compatibility issue


    new files:
     .arch-ids/ChangeLog.1.id .arch-ids/ChangeLog.id ChangeLog
     ChangeLog.1

    removed files:
     .arch-ids/ChangeLog.id ChangeLog

    modified files:
     src/logwriter.c src/logwriter.h

    new patches:
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-86


2006-01-27 09:17:47 GMT	Attila SZALAY <sasa@balabit.hu>	base-0

    Summary:
      tag of bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-85
    Revision:
      syslog-ng--mainline--2.0--base-0

    (automatically generated log message)

    new patches:
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--base-0
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-1
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-2
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-3
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-4
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-5
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-6
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-7
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-8
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-9
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-10
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-11
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-12
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-13
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-14
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-15
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-16
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-17
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-18
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-19
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-20
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-21
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-22
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-23
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-24
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-25
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-26
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-27
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-28
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-29
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-30
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-31
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-32
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-33
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-34
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-35
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-36
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-37
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-38
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-39
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-40
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-41
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-42
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-43
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-44
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-45
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-46
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-47
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-48
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-49
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-50
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-51
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-52
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-53
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-54
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-55
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-56
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-57
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-58
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-59
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-60
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-61
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-62
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-63
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-64
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-65
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-66
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-67
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-68
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-69
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-70
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-71
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-72
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-73
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-74
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-75
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-76
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-77
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-78
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-79
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-80
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-81
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-82
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-83
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-84
     bazsi@balabit.hu--bazsi-1/syslog-ng--mainline--2.0--patch-85


